# GET /scheduling/bookings

**Resource:** [SCHEDULING](./scheduling.md)  
**MCP tool:** `list_bookings`  
**Scopes:** `scheduling:read`  
**Write operation:** no

List bookings (calendar appointments). Filter by date, contact, host, status.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `limit` | query | number | no |  |
| `after` | query | string | no |  |
| `contact_id` | query | string | no |  |
| `customer_id` | query | string | no |  |
| `deal_id` | query | string | no |  |
| `host_id` | query | string | no |  |
| `status` | query | string | no |  |
| `from` | query | string | no |  |
| `to` | query | string | no |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/scheduling/bookings"   -H "Authorization: Bearer YOUR_API_KEY"
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`